Bug 476053 - Cluster broker: allow subnet address in --cluster-url
Cluster broker: allow subnet address in --cluster-url
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Alan Conway
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 13:18 EST by Alan Conway
Modified: 2015-11-15 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-09 09:56:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2008-12-11 13:18:44 EST
Description of problem:

Typical cluster configuration uses sepatate subnets for multicast & client traffic. To enforce this, each broker must be individually configured with an appropriate --cluster-url, which is inconvenient.


Solution:

Allow TCP addresses in the URL to be treated as subnet addresses, construct a URL by matching against addrs for known NICs. E.g. if addr is 192.168.1.2, then the URL address could be 192.168.2.0. This allows a single config file to work for all brokers on a subnet.
Comment 1 Alan Conway 2009-02-17 09:21:29 EST
A more flexible solution might be to allow simple wildcards in the cluster URL. The broke can generate a list of all the local interface address and match them to the wildcard addresses.  e.g. tcp:192.168.1.*.
Comment 3 Alan Conway 2011-08-09 09:56:12 EDT
Closing: this was raised internally, there's no customer demand for it.

Note You need to log in before you can comment on or make changes to this bug.